Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Interface PrivateKey

All Superinterfaces:
  Key, Serializable

All Known Subinterfaces:
  DHPrivateKey, DSAPrivateKey, ECPrivateKey, RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey, RSAPrivateKey

    public interface PrivateKey

extends Key

A private key. This interface contains no methods or constants. It merely serves to group (and provide type safety for) all private key interfaces. Note: The specialized private key interfaces extend this interface. See, for example, the DSAPrivateKey interface in `java.security.interfaces`.

See Also:
  `Key`, `PublicKey`, `Certificate`, `Signature.initVerify(java.security.PublicKey)`, `DSAPrivateKey`, `RSAPrivateKey`, `RSAPrivateCrtKey`

Field Summary
`static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

Method Summary

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.